## kleopatra 16.04.2

=== doc/CMakeLists.txt ===
add_subdirectory(kleopatra)
add_subdirectory(kwatchgnupg)

=== src/CMakeLists.txt ===
add_subdirectory(icons)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(kwatchgnupg)
add_subdirectory(libkleopatraclient)
add_subdirectory(conf)
add_subdirectory(kconf_update)

if(WIN32)
  set(_kleopatra_extra_uiserver_SRCS uiserver/uiserver_win.cpp)
  set(_kleopatra_extra_SRCS utils/gnupg-registry.c selftest/registrycheck.cpp)
else()
  set(_kleopatra_extra_uiserver_SRCS uiserver/uiserver_unix.cpp)
  set(_kleopatra_extra_SRCS)
endif()

set(_kleopatra_uiserver_SRCS
    uiserver/sessiondata.cpp
    uiserver/uiserver.cpp
    ${_kleopatra_extra_uiserver_SRCS}
    uiserver/assuanserverconnection.cpp
    uiserver/echocommand.cpp
    uiserver/decryptverifycommandemailbase.cpp
    uiserver/decryptverifycommandfilesbase.cpp
    uiserver/signcommand.cpp
    uiserver/signencryptfilescommand.cpp
    uiserver/prepencryptcommand.cpp
    uiserver/prepsigncommand.cpp
    uiserver/encryptcommand.cpp
    uiserver/selectcertificatecommand.cpp
    uiserver/importfilescommand.cpp
    uiserver/createchecksumscommand.cpp
    uiserver/verifychecksumscommand.cpp

    selftest/uiservercheck.cpp
  )

if(ASSUAN2_FOUND)
  set(_kleopatra_uiserver_extra_libs ${ASSUAN2_LIBRARIES})
else()
  if(WIN32)
    set(_kleopatra_uiserver_extra_libs ${ASSUAN_VANILLA_LIBRARIES})
  else()
    set(_kleopatra_uiserver_extra_libs ${ASSUAN_PTHREAD_LIBRARIES})
  endif()
endif()

if(HAVE_GPG_ERR_SOURCE_KLEO)
  add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_KLEO)
else()
  add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_USER_1)
endif()

ki18n_wrap_ui(_kleopatra_uiserver_SRCS crypto/gui/signingcertificateselectionwidget.ui)

set(_kleopatra_SRCS
  utils/gnupg-helper.cpp
  utils/filesystemwatcher.cpp
  utils/filedialog.cpp
  utils/kdpipeiodevice.cpp
  utils/kdlogtextwidget.cpp
  utils/kdsignalblocker.cpp
  utils/headerview.cpp
  utils/scrollarea.cpp
  utils/dragqueen.cpp
  utils/multivalidator.cpp
  utils/systemtrayicon.cpp

  utils/hex.cpp
  utils/path-helper.cpp
  utils/input.cpp
  utils/output.cpp
  utils/formatting.cpp
  utils/validation.cpp
  utils/wsastarter.cpp
  utils/classify.cpp
  utils/iodevicelogger.cpp
  utils/log.cpp
  utils/action_data.cpp
  utils/types.cpp
  utils/archivedefinition.cpp
  utils/auditlog.cpp
  utils/clipboardmenu.cpp

  selftest/selftest.cpp
  selftest/enginecheck.cpp
  selftest/gpgconfcheck.cpp
  selftest/gpgagentcheck.cpp
  selftest/libkleopatrarccheck.cpp

  ${_kleopatra_extra_SRCS}

  models/keycache.cpp
  models/keylistmodel.cpp
  models/keylistsortfilterproxymodel.cpp
  models/subkeylistmodel.cpp
  models/useridlistmodel.cpp

  view/keylistcontroller.cpp
  view/keytreeview.cpp
  view/searchbar.cpp
  view/tabwidget.cpp

  dialogs/certificateselectiondialog.cpp
  dialogs/expirydialog.cpp
  dialogs/lookupcertificatesdialog.cpp
  dialogs/ownertrustdialog.cpp
  dialogs/selftestdialog.cpp
  dialogs/certifycertificatedialog.cpp
  dialogs/exportsecretkeydialog.cpp
  dialogs/adduseriddialog.cpp
  dialogs/certificatedetailsdialog.cpp
  dialogs/exportcertificatesdialog.cpp
  dialogs/deletecertificatesdialog.cpp
  dialogs/setinitialpindialog.cpp

  crypto/controller.cpp
  crypto/certificateresolver.cpp
  crypto/sender.cpp
  crypto/recipient.cpp
  crypto/task.cpp
  crypto/taskcollection.cpp
  crypto/decryptverifytask.cpp
  crypto/decryptverifyemailcontroller.cpp
  crypto/decryptverifyfilescontroller.cpp
  crypto/encryptemailtask.cpp
  crypto/encryptemailcontroller.cpp
  crypto/newsignencryptemailcontroller.cpp
  crypto/signencryptfilestask.cpp
  crypto/signencryptfilescontroller.cpp
  crypto/signemailtask.cpp
  crypto/signemailcontroller.cpp
  crypto/createchecksumscontroller.cpp
  crypto/verifychecksumscontroller.cpp

  crypto/gui/wizard.cpp
  crypto/gui/wizardpage.cpp

  crypto/gui/signingcertificateselectionwidget.cpp
  crypto/gui/signingcertificateselectiondialog.cpp

  crypto/gui/resultitemwidget.cpp
  crypto/gui/resultlistwidget.cpp
  crypto/gui/resultpage.cpp

  crypto/gui/newresultpage.cpp
  crypto/gui/newsignencryptfileswizard.cpp

  crypto/gui/signencryptemailconflictdialog.cpp

  crypto/gui/decryptverifyoperationwidget.cpp
  crypto/gui/decryptverifyfileswizard.cpp

  crypto/gui/objectspage.cpp
  crypto/gui/resolverecipientspage.cpp
  crypto/gui/signerresolvepage.cpp
  crypto/gui/encryptemailwizard.cpp
  crypto/gui/signemailwizard.cpp
  crypto/gui/signencryptfileswizard.cpp
  crypto/gui/signencryptwizard.cpp

  crypto/gui/verifychecksumsdialog.cpp

  commands/command.cpp
  commands/gnupgprocesscommand.cpp
  commands/detailscommand.cpp
  commands/exportcertificatecommand.cpp
  commands/importcertificatescommand.cpp
  commands/importcertificatefromfilecommand.cpp
  commands/importcertificatefromclipboardcommand.cpp
  commands/lookupcertificatescommand.cpp
  commands/reloadkeyscommand.cpp
  commands/refreshx509certscommand.cpp
  commands/refreshopenpgpcertscommand.cpp
  commands/deletecertificatescommand.cpp
  commands/decryptverifyfilescommand.cpp
  commands/signencryptfilescommand.cpp
  commands/encryptclipboardcommand.cpp
  commands/signclipboardcommand.cpp
  commands/decryptverifyclipboardcommand.cpp
  commands/clearcrlcachecommand.cpp
  commands/dumpcrlcachecommand.cpp
  commands/dumpcertificatecommand.cpp
  commands/importcrlcommand.cpp
  commands/changeexpirycommand.cpp
  commands/changeownertrustcommand.cpp
  commands/changeroottrustcommand.cpp
  commands/changepassphrasecommand.cpp
  commands/certifycertificatecommand.cpp
  commands/selftestcommand.cpp
  commands/exportsecretkeycommand.cpp
  commands/exportopenpgpcertstoservercommand.cpp
  commands/adduseridcommand.cpp
  commands/newcertificatecommand.cpp
  commands/setinitialpincommand.cpp
  commands/learncardkeyscommand.cpp
  commands/checksumcreatefilescommand.cpp
  commands/checksumverifyfilescommand.cpp

  ${_kleopatra_uiserver_files}

  conf/configuredialog.cpp

  newcertificatewizard/listwidget.cpp
  newcertificatewizard/newcertificatewizard.cpp

  smartcard/readerstatus.cpp

  aboutdata.cpp
  systrayicon.cpp
  kleopatraapplication.cpp
  mainwindow.cpp
  main.cpp
)

ecm_qt_declare_logging_category(_kleopatra_SRCS HEADER kleopatra_debug.h IDENTIFIER KLEOPATRA_LOG CATEGORY_NAME log_kleopatra)

if(KLEO_MODEL_TEST)
  add_definitions(-DKLEO_MODEL_TEST)
  set(_kleopatra_SRCS ${_kleopatra_SRCS} models/modeltest.cpp)
endif()

ki18n_wrap_ui(_kleopatra_SRCS
  dialogs/certificationoptionswidget.ui
  dialogs/expirydialog.ui
  dialogs/lookupcertificatesdialog.ui
  dialogs/ownertrustdialog.ui
  dialogs/selectchecklevelwidget.ui
  dialogs/selftestdialog.ui
  dialogs/exportsecretkeydialog.ui
  dialogs/adduseriddialog.ui
  dialogs/certificatedetailsdialog.ui
  dialogs/setinitialpindialog.ui
  newcertificatewizard/listwidget.ui
  newcertificatewizard/chooseprotocolpage.ui
  newcertificatewizard/enterdetailspage.ui
  newcertificatewizard/overviewpage.ui
  newcertificatewizard/keycreationpage.ui
  newcertificatewizard/resultpage.ui
  newcertificatewizard/advancedsettingsdialog.ui
)

kconfig_add_kcfg_files(_kleopatra_SRCS
  kcfg/tooltippreferences.kcfgc
  kcfg/emailoperationspreferences.kcfgc
  kcfg/fileoperationspreferences.kcfgc
  kcfg/smimevalidationpreferences.kcfgc
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kleopatra.png")
ecm_add_app_icon(_kleopatra_SRCS ICONS ${ICONS_SRCS})

qt5_add_resources(_kleopatra_SRCS kleopatra.qrc)

add_executable(kleopatra_bin ${_kleopatra_SRCS} ${_kleopatra_uiserver_SRCS})
set_target_properties(kleopatra_bin PROPERTIES OUTPUT_NAME kleopatra)

target_link_libraries(kleopatra_bin
  ${_kleopatra_extra_libs}
  KF5::Libkleo
  KF5::Mime
  KF5::KCMUtils
  KF5::I18n
  KF5::XmlGui
  KF5::IconThemes
  KF5::WindowSystem
  KF5::DBusAddons
  Qt5::Network
  ${_kleopatra_uiserver_extra_libs}
  kleopatraclientcore
)

install(TARGETS kleopatra_bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(
  PROGRAMS data/org.kde.kleopatra.desktop data/kleopatra_import.desktop
  DESTINATION ${KDE_INSTALL_APPDIR}
)
install(FILES data/org.kde.kleopatra.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(
  FILES data/kleopatra_signencryptfiles.desktop
        data/kleopatra_signencryptfolders.desktop
        data/kleopatra_decryptverifyfiles.desktop
        data/kleopatra_decryptverifyfolders.desktop
  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== tests/CMakeLists.txt ===
add_subdirectory(gnupg_home)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
include_directories(
  ${CMAKE_SOURCE_DIR}/src/
  ${CMAKE_BINARY_DIR}/src/
  ${Boost_INCLUDE_DIR}
  ${GPGME_INCLUDES}
)

########### next target ###############

if(PORT_ME_AWAY_FROM_EVENT_LOOPS)
  set(test_keylistmodels_SRCS
    test_keylistmodels.cpp
    ${CMAKE_SOURCE_DIR}/src/models/keylistmodel.cpp
    ${CMAKE_SOURCE_DIR}/src/models/keylistsortfilterproxymodel.cpp
    ${CMAKE_SOURCE_DIR}/src/utils/formatting.cpp
  )
  if(KLEO_MODEL_TEST)
    set(test_keylistmodels_SRCS
      ${test_keylistmodels_SRCS}
      ${CMAKE_SOURCE_DIR}/src/models/modeltest.cpp
    )
  endif()

  add_executable(test_keylistmodels TEST ${test_keylistmodels_SRCS})

  target_link_libraries(test_keylistmodels KF5::Libkleo )

########### next target ###############

  set(test_useridlistmodels_SRCS
    test_useridlistmodels.cpp
    ${CMAKE_SOURCE_DIR}/src/models/useridlistmodel.cpp
    ${CMAKE_SOURCE_DIR}/src/utils/formatting.cpp
  )
  if(KLEO_MODEL_TEST)
    set(test_useridlistmodels_SRCS
      ${test_useridlistmodels_SRCS}
      ${CMAKE_SOURCE_DIR}/src/models/modeltest.cpp
    )
  endif()

  add_executable(test_useridlistmodels TEST ${test_useridlistmodels_SRCS})

  target_link_libraries(test_useridlistmodels KF5::Libkleo )

endif()

########### next target ###############

set(test_verify_SRCS test_verify.cpp)

add_definitions(-DKLEO_TEST_GNUPGHOME="${CMAKE_CURRENT_BINARY_DIR}/gnupg_home")
add_definitions(-DKLEO_TEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}")


add_executable(test_verify  ${test_verify_SRCS})
add_test(test_verify test_verify)
ecm_mark_as_test(test_verify)

target_link_libraries(test_verify
  KF5::Libkleo
  Qt5::Test
  KF5::QGpgme
  KF5::CoreAddons
  KF5::I18n
  Qt5::Widgets
)

########### next target ###############

if(USABLE_ASSUAN_FOUND)

  # this doesn't yet work on Windows

  add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_USER_2)

  set(test_uiserver_SRCS test_uiserver.cpp ${CMAKE_SOURCE_DIR}/src/utils/wsastarter.cpp
                                           ${CMAKE_SOURCE_DIR}/src/utils/hex.cpp)

#FIXME: omitting TEST makes test_uiserver print output again on a Win32 console;
# find a better fix for this issue
  if(WIN32)
    add_executable(test_uiserver ${test_uiserver_SRCS})
  else()
    add_executable(test_uiserver ${test_uiserver_SRCS})
  endif()
  target_link_libraries(test_uiserver KF5::I18n)

  if(ASSUAN2_FOUND)
    target_link_libraries(test_uiserver
      KF5::Libkleo
      ${ASSUAN2_LIBRARIES}
    )
  else()
    target_link_libraries(test_uiserver
      KF5::Libkleo
      ${ASSUAN_LIBRARIES}
    )
  endif()

  if(WIN32)
    target_link_libraries(test_uiserver
      ${ASSUAN_VANILLA_LIBRARIES}
      KF5::QGpgme
      ws2_32
    )
  else()
    target_link_libraries(test_uiserver
      ${ASSUAN_PTHREAD_LIBRARIES}
      KF5::QGpgme
  )
  endif()

endif()

=== src/libkleopatraclient/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_SOURCE_DIR}/kleopatra)

set(kleoclient_TESTS
  test_signencryptfilescommand
  test_decryptverifyfilescommand
)

foreach(_kleoclient_test ${kleoclient_TESTS})
  add_executable( ${_kleoclient_test} ${_kleoclient_test}.cpp )
  ecm_mark_as_test(${_kleoclient_test})

  target_link_libraries("${_kleoclient_test}"
    kleopatraclientcore
    Qt5::Gui
    Qt5::Core
)
endforeach()

=== debian/changelog ===
kleopatra (4:16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 13:56:38 +0200

kleopatra (4:16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 08:55:24 +0200

kleopatra (4:16.04.0-1) experimental; urgency=medium

  * Initial release.
  * Add missing breaks/replaces

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 10:58:45 +0200

=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.17.0~),
               kdoctools-dev (>= 5.17.0~),
               libboost-dev (>= 1.34.0~),
               libgpgme11-dev,
               libkf5codecs-dev (>= 5.17.0~),
               libkf5config-dev (>= 5.17.0~),
               libkf5dbusaddons-dev (>= 5.17.0~),
               libkf5gpgmepp-dev (>= 5.1.41~),
               libkf5i18n-dev (>= 5.17.0~),
               libkf5iconthemes-dev (>= 5.17.0~),
               libkf5kcmutils-dev (>= 5.17.0~),
               libkf5libkleo-dev (>= 5.1.41~),
               libkf5mime-dev (>= 5.1.40~),
               libkf5notifications-dev (>= 5.17.0~),
               libkf5textwidgets-dev (>= 5.17.0~),
               libkf5windowsystem-dev (>= 5.17.0~),
               libkf5xmlgui-dev (>= 5.17.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://www.kde.org/applications/utilities/kleopatra/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kleopatra.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kleopatra.git

Package: kleopatra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<= 4:16.04)
Replaces: kdepim-doc (<= 4:16.04)
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.

## kleopatra 16.04.3

=== debian/changelog ===
kleopatra (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Maximiliano Curia ]
  ** SNAPSHOT build @2d7bf8962de493a444a25c10c9199be96eda6d9b **

  * Initial release.
  * UNRELEASED
  * UNRELEASED

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ José Manuel Santamaría Lema ]
  * Add lintian override for package-name-doesnt-match-sonames.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:47:15 +0200

=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               libboost-dev (>= 1.34.0~),
               libgpgme11-dev,
               libkf5codecs-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5gpgmepp-dev (>= 16.04.3~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5libkleo-dev (>= 4:16.04.3~),
               libkf5mime-dev (>= 16.04.3~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://www.kde.org/applications/utilities/kleopatra/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra

Package: kleopatra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<= 4:16.04)
Replaces: kdepim-doc (<= 4:16.04)
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.

## kleopatra 17.04.3

=== debian/changelog ===
kleopatra (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:31:58 +0100

kleopatra (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Require GPGME 1.7.1 or greater to be used. 
  * Update Vcs-Git fields to use https:// instead of git://
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New libqgpgme build dep
  * Remove obsolete build dep on libkf5gpgmepp-dev
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:28 +0100

=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev (>= 1.34.0~),
               libgpgmepp-dev (>= 1.7.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5libkleo-dev (>= 4:17.04.3~),
               libkf5mime-dev (>= 17.04.3~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://www.kde.org/applications/utilities/kleopatra/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra

Package: kleopatra
Architecture: any
Depends: gnupg2,
         gnupg-agent,
         dirmngr,
         gpgsm,
         pinentry-qt,
         paperkey,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kdepim-doc (<= 4:16.04), ${kde-l10n:all}
Replaces: kdepim-doc (<= 4:16.04), ${kde-l10n:all}
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.

## kleopatra 17.12.3

=== CMakeLists.txt ===
set(kleopatra_version 3.0.1)
cmake_minimum_required(VERSION 3.0)
project(kleopatra VERSION ${kleopatra_version})
# Add version suffix for internal usage of the version string
set(kleopatra_version ${kleopatra_version}${KLEOPATRA_VERSION_SUFFIX})


option(FORCE_DISABLE_KCMUTILS "Force building Kleopatra without KCMUtils. Doing this will disable configuration KCM Plugins. [default=OFF]" OFF)
option(DISABLE_KWATCHGNUPG "Don't build the kwatchgnupg tool [default=OFF]" OFF)

# Standalone build. Find / include everything necessary.
set(KF5_VERSION "5.39.0")
set(KMIME_VERSION "5.7.3")
set(LIBKLEO_VERSION "5.7.3")
set(QT_REQUIRED_VERSION "5.8.0")
set(GPGME_REQUIRED_VERSION "1.8.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)
# Find KF5 packages
if (NOT FORCE_DISABLE_KCMUTILS)
  find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
endif()
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_VERSION} CONFIG)

set_package_properties(KF5DocTools PROPERTIES DESCRIPTION "Documentation tools" TYPE OPTIONAL PURPOSE "Required to generate Kleopatra documentation.")

# Optional packages
if (WIN32)
  # Only a replacement available for Windows so this
  # is required on other platforms.
  find_package(KF5DBusAddons ${KF5_VERSION} CONFIG)
  set_package_properties(KF5DBusAddons PROPERTIES DESCRIPTION "Support library to work with DBus"
                         PURPOSE "DBus session integration"
                         URL "http://inqlude.org/libraries/kdbusaddons.html"
                         TYPE OPTIONAL)
else()
  find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
  set(_kleopatra_dbusaddons_libs KF5::DBusAddons)
endif()

set(HAVE_QDBUS ${Qt5DBus_FOUND})

find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(QGpgme ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)

# Kdepimlibs packages
find_package(KF5Libkleo ${LIBKLEO_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_VERSION} CONFIG REQUIRED)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Network PrintSupport)

find_package(Assuan2 REQUIRED)

set(HAVE_KCMUTILS ${KF5KCMUtils_FOUND})



find_package(Boost 1.34.0 REQUIRED)

find_path(Boost_TOPOLOGICAL_SORT_DIR NAMES boost/graph/topological_sort.hpp PATHS ${Boost_INCLUDE_DIRS})
if(NOT Boost_TOPOLOGICAL_SORT_DIR)
    message(FATAL_ERROR "The Boost Topological_sort header was NOT found. Should be part of Boost graph module.")
endif()

set(kleopatra_release FALSE)

if(NOT kleopatra_release)
    if(GIT_FOUND)
        execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%h ${CMAKE_CURRENT_SOURCE_DIR}
            WORKING_DIRECTORY ${kdepim_SOURCE_DIR}/kleopatra
            OUTPUT_VARIABLE Kleopatra_WC_REVISION)
        string(REGEX REPLACE "\n" "" Kleopatra_WC_REVISION "${Kleopatra_WC_REVISION}")

        execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%ci ${CMAKE_CURRENT_SOURCE_DIR}
            WORKING_DIRECTORY ${kdepim_SOURCE_DIR}/kleopatra
            OUTPUT_VARIABLE Kleopatra_WC_LAST_CHANGED_DATE)
        string(REGEX REPLACE " [-0-9:+ ]*\n" "" Kleopatra_WC_LAST_CHANGED_DATE "${Kleopatra_WC_LAST_CHANGED_DATE}")

        set(kleopatra_version "${kleopatra_version}-git${Kleopatra_WC_REVISION} (${Kleopatra_WC_LAST_CHANGED_DATE})")
    endif()
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version-kleopatra.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version-kleopatra.h)

include (ConfigureChecks.cmake)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kleopatra.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kleopatra.h)
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${Boost_INCLUDE_DIR}
    ${ASSUAN2_INCLUDES}
    )

add_definitions(-D_ASSUAN_ONLY_GPG_ERRORS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-braces -Wno-parentheses -Wno-ignored-qualifiers")
endif()

kde_enable_exceptions()

add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_subdirectory(pics)
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()
install( FILES kleopatra.renamecategories kleopatra.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,9 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
-add_subdirectory(kwatchgnupg)
+if (NOT DISABLE_KWATCHGNUPG)
+    add_subdirectory(kwatchgnupg)
+endif()
 add_subdirectory(libkleopatraclient)
 add_subdirectory(conf)
 add_subdirectory(kconf_update)
@@ -38,8 +40,10 @@
   )
 
 if(ASSUAN2_FOUND)
+  include_directories(${ASSUAN2_INCLUDES})
   set(_kleopatra_uiserver_extra_libs ${ASSUAN2_LIBRARIES})
 else()
+  include_directories(${ASSUAN_INCLUDES})
   if(WIN32)
     set(_kleopatra_uiserver_extra_libs ${ASSUAN_VANILLA_LIBRARIES})
   else()
@@ -57,11 +61,9 @@
 
 set(_kleopatra_SRCS
   utils/gnupg-helper.cpp
-  utils/filesystemwatcher.cpp
+  utils/gui-helper.cpp
   utils/filedialog.cpp
   utils/kdpipeiodevice.cpp
-  utils/kdlogtextwidget.cpp
-  utils/kdsignalblocker.cpp
   utils/headerview.cpp
   utils/scrollarea.cpp
   utils/dragqueen.cpp
@@ -72,10 +74,8 @@
   utils/path-helper.cpp
   utils/input.cpp
   utils/output.cpp
-  utils/formatting.cpp
   utils/validation.cpp
   utils/wsastarter.cpp
-  utils/classify.cpp
   utils/iodevicelogger.cpp
   utils/log.cpp
   utils/action_data.cpp
@@ -83,6 +83,7 @@
   utils/archivedefinition.cpp
   utils/auditlog.cpp
   utils/clipboardmenu.cpp
+  utils/kuniqueservice.cpp
 
   selftest/selftest.cpp
   selftest/enginecheck.cpp
@@ -92,16 +93,16 @@
 
   ${_kleopatra_extra_SRCS}
 
-  models/keycache.cpp
-  models/keylistmodel.cpp
-  models/keylistsortfilterproxymodel.cpp
-  models/subkeylistmodel.cpp
-  models/useridlistmodel.cpp
-
   view/keylistcontroller.cpp
   view/keytreeview.cpp
   view/searchbar.cpp
+  view/smartcardwidget.cpp
+  view/pgpcardwidget.cpp
+  view/netkeywidget.cpp
+  view/nullpinwidget.cpp
   view/tabwidget.cpp
+  view/keycacheoverlay.cpp
+  view/welcomewidget.cpp
 
   dialogs/certificateselectiondialog.cpp
   dialogs/expirydialog.cpp
@@ -111,10 +112,14 @@
   dialogs/certifycertificatedialog.cpp
   dialogs/exportsecretkeydialog.cpp
   dialogs/adduseriddialog.cpp
-  dialogs/certificatedetailsdialog.cpp
   dialogs/exportcertificatesdialog.cpp
   dialogs/deletecertificatesdialog.cpp
   dialogs/setinitialpindialog.cpp
+  dialogs/certificatedetailswidget.cpp
+  dialogs/trustchainwidget.cpp
+  dialogs/subkeyswidget.cpp
+  dialogs/gencardkeydialog.cpp
+  dialogs/updatenotification.cpp
 
   crypto/controller.cpp
   crypto/certificateresolver.cpp
@@ -125,6 +130,7 @@
   crypto/decryptverifytask.cpp
   crypto/decryptverifyemailcontroller.cpp
   crypto/decryptverifyfilescontroller.cpp
+  crypto/autodecryptverifyfilescontroller.cpp
   crypto/encryptemailtask.cpp
   crypto/encryptemailcontroller.cpp
   crypto/newsignencryptemailcontroller.cpp
@@ -138,6 +144,8 @@
   crypto/gui/wizard.cpp
   crypto/gui/wizardpage.cpp
 
+  crypto/gui/certificateselectionline.cpp
+  crypto/gui/certificatelineedit.cpp
   crypto/gui/signingcertificateselectionwidget.cpp
   crypto/gui/signingcertificateselectiondialog.cpp
 
@@ -146,19 +154,20 @@
   crypto/gui/resultpage.cpp
 
   crypto/gui/newresultpage.cpp
-  crypto/gui/newsignencryptfileswizard.cpp
+  crypto/gui/signencryptfileswizard.cpp
 
   crypto/gui/signencryptemailconflictdialog.cpp
 
   crypto/gui/decryptverifyoperationwidget.cpp
   crypto/gui/decryptverifyfileswizard.cpp
+  crypto/gui/decryptverifyfilesdialog.cpp
 
   crypto/gui/objectspage.cpp
   crypto/gui/resolverecipientspage.cpp
   crypto/gui/signerresolvepage.cpp
   crypto/gui/encryptemailwizard.cpp
   crypto/gui/signemailwizard.cpp
-  crypto/gui/signencryptfileswizard.cpp
+  crypto/gui/signencryptwidget.cpp
   crypto/gui/signencryptwizard.cpp
 
   crypto/gui/verifychecksumsdialog.cpp
@@ -177,6 +186,7 @@
   commands/deletecertificatescommand.cpp
   commands/decryptverifyfilescommand.cpp
   commands/signencryptfilescommand.cpp
+  commands/signencryptfoldercommand.cpp
   commands/encryptclipboardcommand.cpp
   commands/signclipboardcommand.cpp
   commands/decryptverifyclipboardcommand.cpp
@@ -198,6 +208,10 @@
   commands/learncardkeyscommand.cpp
   commands/checksumcreatefilescommand.cpp
   commands/checksumverifyfilescommand.cpp
+  commands/exportpaperkeycommand.cpp
+  commands/importpaperkeycommand.cpp
+  commands/genrevokecommand.cpp
+  commands/keytocardcommand.cpp
 
   ${_kleopatra_uiserver_files}
 
@@ -207,6 +221,9 @@
   newcertificatewizard/newcertificatewizard.cpp
 
   smartcard/readerstatus.cpp
+  smartcard/card.cpp
+  smartcard/openpgpcard.cpp
+  smartcard/netkeycard.cpp
 
   aboutdata.cpp
   systrayicon.cpp
@@ -215,7 +232,13 @@
   main.cpp
 )
 
-ecm_qt_declare_logging_category(_kleopatra_SRCS HEADER kleopatra_debug.h IDENTIFIER KLEOPATRA_LOG CATEGORY_NAME log_kleopatra)
+if(HAVE_KCMUTILS)
+  set (_kleopatra_extra_libs KF5::KCMUtils)
+else()
+  set (_kleopatra_SRCS conf/kleopageconfigdialog.cpp ${_kleopatra_SRCS})
+endif()
+
+ecm_qt_declare_logging_category(_kleopatra_SRCS HEADER kleopatra_debug.h IDENTIFIER KLEOPATRA_LOG CATEGORY_NAME org.kde.pim.kleopatra)
 
 if(KLEO_MODEL_TEST)
   add_definitions(-DKLEO_MODEL_TEST)
@@ -231,8 +254,10 @@
   dialogs/selftestdialog.ui
   dialogs/exportsecretkeydialog.ui
   dialogs/adduseriddialog.ui
-  dialogs/certificatedetailsdialog.ui
   dialogs/setinitialpindialog.ui
+  dialogs/certificatedetailswidget.ui
+  dialogs/trustchainwidget.ui
+  dialogs/subkeyswidget.ui
   newcertificatewizard/listwidget.ui
   newcertificatewizard/chooseprotocolpage.ui
   newcertificatewizard/enterdetailspage.ui
@@ -258,17 +283,21 @@
 set_target_properties(kleopatra_bin PROPERTIES OUTPUT_NAME kleopatra)
 
 target_link_libraries(kleopatra_bin
+  Gpgmepp
+  QGpgme
   ${_kleopatra_extra_libs}
   KF5::Libkleo
   KF5::Mime
-  KF5::KCMUtils
   KF5::I18n
   KF5::XmlGui
   KF5::IconThemes
   KF5::WindowSystem
-  KF5::DBusAddons
+  KF5::CoreAddons
+  KF5::ItemModels
   Qt5::Network
+  Qt5::PrintSupport # Printing secret keys
   ${_kleopatra_uiserver_extra_libs}
+  ${_kleopatra_dbusaddons_libs}
   kleopatraclientcore
 )

=== src/libkleopatraclient/gui/CMakeLists.txt ===
add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_KEYWORDS -DQT_NO_CAST_TO_ASCII)

add_library(kleopatraclientgui certificaterequester.cpp)
generate_export_header(kleopatraclientgui BASE_NAME kleopatraclientgui)

target_link_libraries(kleopatraclientgui
  kleopatraclientcore
  KF5::I18n
)

set_target_properties(kleopatraclientgui PROPERTIES
  VERSION ${libkleopatraclient_version}
  SOVERSION ${libkleopatraclient_soversion}
)

install(TARGETS kleopatraclientgui ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kleopatra (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:59 +0000

kleopatra (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Skip testsuite as all tests are broken on KDE CI.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 03 Mar 2018 01:02:30 +0000

kleopatra (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:56 +0000

kleopatra (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:06:48 +0000

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5libkleo-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5libkleo-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
                libkf5notifications-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11

# Tests: acc
# Depends: @,
#          dh-acc, exuberant-ctags
# Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kleopatra-([\d.]+).tar.xz

## kleopatra 18.04.0

=== debian/changelog ===
kleopatra (4:18.04.0-201805030828intevation2) bionic; urgency=medium

  * Add patches for improved NetKey card handling:
        5cd023e11e1bd578f2a42d386b944b0f70c247c1
        99f03add3ed09d3729667335021355a9bc6670f6
        0f1576aca7d4bfde2cfc7f68adf788de5479a293

 -- Andre Heinecke <aheinecke@intevation.de>  Mon, 02 Jul 2018 12:58:28 +0200

kleopatra (4:18.04.0-201805030828intevation1) bionic; urgency=medium

  * Update to 18.04 as released in Gpg4win 3.1.1.

 -- Andre Heinecke <aheinecke@intevation.de>  Fri, 04 May 2018 12:20:45 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
@@ -35,8 +36,10 @@
          gnupg-agent,
          dirmngr,
          gpgsm,
+	 scdaemon,
          pinentry-qt,
          paperkey,
+	 libkf5libkleo-data, 
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: kdepim-doc (<= 4:16.04), ${kde-l10n:all}

## kleopatra 18.04.3

=== debian/changelog ===
kleopatra (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:53 +0100

=== debian/control ===
--- 
+++ 
@@ -16,15 +16,14 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5libkleo-dev (>= 4:17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5libkleo-dev (>= 4:18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
                libkf5notifications-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               libkf5crash-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://www.kde.org/applications/utilities/kleopatra/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
@@ -36,10 +35,8 @@
          gnupg-agent,
          dirmngr,
          gpgsm,
-	 scdaemon,
          pinentry-qt,
          paperkey,
-	 libkf5libkleo-data, 
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: kdepim-doc (<= 4:16.04), ${kde-l10n:all}

## kleopatra 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
-set(kleopatra_version 3.0.1)
+set(kleopatra_version 3.1.2)
+# The following is for Windows. Keep in line with kleopatra_version.
+set(kleopatra_fileversion 3,1,2,0)
 cmake_minimum_required(VERSION 3.0)
 project(kleopatra VERSION ${kleopatra_version})
 # Add version suffix for internal usage of the version string
@@ -9,10 +11,10 @@
 option(DISABLE_KWATCHGNUPG "Don't build the kwatchgnupg tool [default=OFF]" OFF)
 
 # Standalone build. Find / include everything necessary.
-set(KF5_VERSION "5.39.0")
-set(KMIME_VERSION "5.7.3")
-set(LIBKLEO_VERSION "5.7.3")
-set(QT_REQUIRED_VERSION "5.8.0")
+set(KF5_VERSION "5.47.0")
+set(KMIME_VERSION "5.9.3")
+set(LIBKLEO_VERSION "5.9.3")
+set(QT_REQUIRED_VERSION "5.9.0")
 set(GPGME_REQUIRED_VERSION "1.8.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
@@ -52,6 +54,7 @@
 find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5DocTools ${KF5_VERSION} CONFIG)
+find_package(KF5Crash ${KF5_VERSION} REQUIRED)
 
 set_package_properties(KF5DocTools PROPERTIES DESCRIPTION "Documentation tools" TYPE OPTIONAL PURPOSE "Required to generate Kleopatra documentation.")

=== src/conf/CMakeLists.txt ===
include_directories(${kleopatra_SOURCE_DIR}/src)

if(BUILD_libkleopatraclient)

  set(_kcm_kleopatra_libkleopatraclient_extra_SRCS
    smimevalidationconfigurationwidget.cpp
    smimevalidationconfigurationpage.cpp
    cryptooperationsconfigwidget.cpp
    cryptooperationsconfigpage.cpp
  )

  ki18n_wrap_ui(_kcm_kleopatra_libkleopatraclient_extra_SRCS
    smimevalidationconfigurationwidget.ui
  )

  kconfig_add_kcfg_files(_kcm_kleopatra_libkleopatraclient_extra_SRCS
    ${kleopatra_SOURCE_DIR}/src/kcfg/smimevalidationpreferences.kcfgc
  )

  set(_kcm_kleopatra_libkleopatraclient_extra_LIBS kleopatraclientgui)

  set(_kcm_kleopatra_libkleopatraclient_extra_install_FILES
    kleopatra_config_smimevalidation.desktop
    kleopatra_config_cryptooperations.desktop
  )

else()

  set(_kcm_kleopatra_libkleopatraclient_extra_SRCS)
  set(_kcm_kleopatra_libkleopatraclient_extra_LIBS)
  set(_kcm_kleopatra_libkleopatraclient_extra_install_FILES)

endif()

set(kcm_kleopatra_PART_SRCS
  dirservconfigpage.cpp
  appearanceconfigpage.cpp
  appearanceconfigwidget.cpp
  gnupgsystemconfigurationpage.cpp
  ${kleopatra_BINARY_DIR}/src/kleopatra_debug.cpp
  ${_kcm_kleopatra_libkleopatraclient_extra_SRCS}
)


ki18n_wrap_ui(kcm_kleopatra_PART_SRCS
  appearanceconfigwidget.ui
  smimevalidationconfigurationwidget.ui
)

kconfig_add_kcfg_files(kcm_kleopatra_PART_SRCS
  ${kleopatra_SOURCE_DIR}/src/kcfg/tooltippreferences.kcfgc
  ${kleopatra_SOURCE_DIR}/src/kcfg/emailoperationspreferences.kcfgc
  ${kleopatra_SOURCE_DIR}/src/kcfg/fileoperationspreferences.kcfgc
)

add_library(kcm_kleopatra MODULE ${kcm_kleopatra_PART_SRCS})

if(HAVE_KCMUTILS)
  set (_kcm_kleopatra_extra_libs KF5::KCMUtils)
endif()

target_link_libraries(kcm_kleopatra
  KF5::Libkleo
  KF5::IconThemes
  KF5::I18n
  KF5::WidgetsAddons
  KF5::ConfigWidgets
  ${_kcm_kleopatra_extra_libs}
  ${_kleopatra_dbusaddons_libs}
  ${_kcm_kleopatra_libkleopatraclient_extra_LIBS}
)

install(TARGETS kcm_kleopatra DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install(FILES
  kleopatra_config_dirserv.desktop
  kleopatra_config_appear.desktop
  kleopatra_config_gnupgsystem.desktop
  ${_kcm_kleopatra_libkleopatraclient_extra_install_FILES}
  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== debian/changelog ===
kleopatra (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:59:37 +0100

kleopatra (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:18:40 +0200

kleopatra (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 11:18:58 +0200

kleopatra (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * small fixes in copyright file.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:25:16 +0200

kleopatra (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * Enable build tests (make them non-failing).
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:14:29 +0100

kleopatra (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Switch the deprecated gnupg2 dependency to gnupg, and drop gnupg-agent.
    (Closes: #885148)
  * Simplify watch file, and switch it to https.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kleopatra.install, no more useful now
    - make sure to not ship development symlinks
  * Update lintian overrides.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:34:18 +0100

kleopatra (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:55:41 +0100

kleopatra (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:20:35 +0200

kleopatra (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:37:26 +0000

kleopatra (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:42 +0000

kleopatra (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:08 +0000

kleopatra (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:19:22 +0000

kleopatra (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:38 +0000

kleopatra (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:42 +0000

kleopatra (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:59:06 +0000

kleopatra (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:20:09 +0000

kleopatra (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:28:46 +0000

kleopatra (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:28 +0000

kleopatra (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:53 +0000

kleopatra (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:56 +0000

kleopatra (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:58 +0000

kleopatra (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:51:13 +0000

=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus,
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libboost-dev (>= 1.34.0~),
               libgpgme-dev | libgpgme11-dev,
               libgpgmepp-dev (>= 1.8.0~) | libqgpgme7-dev,
               libkf5codecs-dev (>= 5.47.0~),
               libkf5config-dev (>= 5.47.0~),
               libkf5configwidgets-dev (>= 5.47.0~),
               libkf5coreaddons-dev (>= 5.47.0~),
               libkf5crash-dev (>= 5.47.0~),
               libkf5dbusaddons-dev (>= 5.47.0~),
               libkf5doctools-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5itemmodels-dev (>= 5.47.0~),
               libkf5kcmutils-dev (>= 5.47.0~),
               libkf5libkleo-dev (>= 4:18.08.3~),
               libkf5mime-dev (>= 18.08.3~),
               libkf5notifications-dev (>= 5.47.0~),
               libkf5textwidgets-dev (>= 5.47.0~),
               libkf5widgetsaddons-dev (>= 5.47.0~),
               libkf5windowsystem-dev (>= 5.47.0~),
               libkf5xmlgui-dev (>= 5.47.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: https://www.kde.org/applications/utilities/kleopatra/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kleopatra
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kleopatra.git

Package: kleopatra
Architecture: any
Depends: dirmngr,
         gnupg,
         gpgsm,
         paperkey,
         pinentry-qt,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-doc (<= 4:16.04), ${kde-l10n:all}
Replaces: kdepim-doc (<= 4:16.04), ${kde-l10n:all}
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command)
	find debian/kleopatra -name '*.so' -type l -delete

override_dh_auto_test:
	- xvfb-run -a dbus-run-session -- dh_auto_test --no-parallel
